Web lists-archives.com

Re: [Samba] Attempts to Set Max Password Age in Samba Tool Fails




On Sat, 30 Mar 2019 14:17:15 -0500
Matthew Delfino via samba <samba@xxxxxxxxxxxxxxx> wrote:

> Hey Rowland,
> 
> 
> Thanks for getting back to me. I just finished my recompile. I even
> ran a "samba-tool dbcheck --fix". I still I get this error:
> 
> 
> 
> samba-tool domain passwordsettings set --max-pwd-age=270
> ERROR(<class 'TypeError'>): uncaught exception - unorderable types:
> NoneType() >= int() File
> "/usr/lib/python3/dist-packages/samba/netcmd/__init__.py", line 184,
> in _run return self.run(*args, **kwargs) File
> "/usr/lib/python3/dist-packages/samba/netcmd/domain.py", line 1513,
> in run if max_pwd_age and max_pwd_age > 0 and min_pwd_age >=
> max_pwd_age:
> 
> 

OK, I give in, how have you managed to build 4.10.0 on 16.04 ?
I am trying to build it on 18.04 and so far I have had to build cmocka
and now:

ERROR: System library tdb of version 1.3.18 not found, and bundling
disabled

I get the feeling I will also have to build talloc, tevent etc

Rowland

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba